<?php

namespace FiloBlu\TransactionalEmail\Plugin;

/**
 * Class EmailTemplate
 * @package FiloBlu\TransactionalEmail\Plugin
 */
class EmailTemplate
{

    /**
     * @param $subject
     * @param $result
     * @return array
     */
    public function afterToOptionArray($subject, $result)
    {
        $customTemplates = [
            'filoblu_sales_email_order_template' => 'New Order (FiloBlu)',
            'filoblu_sales_email_order_guest_template' => 'New Order for Guest (FiloBlu)',
            'filoblu_sales_email_order_comment_template' => 'Order Update (FiloBlu)',
            'filoblu_sales_email_order_comment_guest_template' => 'Order Update for Guest (FiloBlu)',
            'filoblu_sales_email_invoice_template' => 'New Invoice (FiloBlu)',
            'filoblu_sales_email_invoice_guest_template' => 'New Invoice for Guest (FiloBlu)',
            'filoblu_sales_email_invoice_comment_template' => 'Invoice Update (FiloBlu)',
            'filoblu_sales_email_invoice_comment_guest_template' => 'Invoice Update for Guest (FiloBlu)',
            'filoblu_sales_email_creditmemo_template' => 'New Credit Memo (FiloBlu)',
            'filoblu_sales_email_creditmemo_guest_template' => 'New Credit Memo for Guest (FiloBlu)',
            'filoblu_sales_email_creditmemo_comment_template' => 'Credit Memo Update (FiloBlu)',
            'filoblu_sales_email_creditmemo_comment_guest_template' => 'Credit Memo Update for Guest (FiloBlu)',
            'filoblu_sales_email_shipment_template' => 'New Shipment (FiloBlu)',
            'filoblu_sales_email_shipment_guest_template' => 'New Shipment for Guest (FiloBlu)',
            'filoblu_sales_email_shipment_comment_template' => 'Shipment Update (FiloBlu)',
            'filoblu_sales_email_shipment_comment_guest_template' => 'Shipment Update for Guest (FiloBlu)',
            'filoblu_sales_email_magento_rma_template' => 'New RMA (FiloBlu)',
            'filoblu_sales_email_magento_rma_guest_template' => 'New RMA for Guest (FiloBlu)',
            'filoblu_sales_email_magento_rma_auth_template' => 'RMA Authorization (FiloBlu)',
            'filoblu_sales_email_magento_rma_auth_guest_template' => 'RMA Authorization for Guest (FiloBlu)',
            'filoblu_sales_email_magento_rma_comment_template' => 'RMA Admin Comments (FiloBlu)',
            'filoblu_sales_email_magento_rma_comment_guest_template' => 'RMA Admin Comments for Guest (FiloBlu)'
        ];
        $ct = [];
        foreach ($customTemplates as $k => $v) {
            $ct[] = ['value' => $k, 'label' => $v];
        }
        array_walk(
            $ct,
            static function (&$item) {
                $item['__disableTmpl'] = true;
            }
        );

        return array_merge($result, $ct);
    }

}